DynamicJava Javadoc: Class FieldAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class FieldAccess

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.FieldAccess

All Implemented Interfaces:
  LeftHandSide

Direct Known Subclasses:
  ObjectFieldAccess, StaticFieldAccess, SuperFieldAccess

public abstract class FieldAccess
extends PrimaryExpression
implements LeftHandSide

This class represents the field access nodes of the syntax tree

Field Summary
`static java.lang.String` | `FIELD_NAME` The body property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `FieldAccess(java.lang.String fln, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new field access node

Method Summary
`java.lang.String` | `getFieldName()` Returns the field name
`void` | `setFieldName(java.lang.String s)` Sets the field name

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIELD_NAME

    public static final java.lang.String FIELD_NAME

  The body property name

Constructor Detail

### FieldAccess

    protected FieldAccess(java.lang.String fln,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Creates a new field access node
  Parameters:
    `fln` - the field name
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if fln is null

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  Returns the field name

### setFieldName

    public void setFieldName(java.lang.String s)

  Sets the field name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.